AurionAI Docs

Execute Workflow

Manually execute a published workflow against a conversation. Creates a workflow run, dispatches execution via Celery, and logs a ``workflow_executed`` activity on the conversation.

POST
/api/v2/workflows/{workflow_id}/execute

Manually execute a published workflow against a conversation.

Creates a workflow run, dispatches execution via Celery, and logs a workflow_executed activity on the conversation.

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

workflow_id*Workflow Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

conversation_id*Conversation Id

Response Body

application/json

application/json

curl -X POST "https://loading/api/v2/workflows/string/execute" \  -H "Content-Type: application/json" \  -d '{    "conversation_id": "string"  }'
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}